<template>

    <div @click="this.$emit('toggle-user-profile', user)" class="card user-card text-center" data-bs-toggle="modal" data-bs-target="#userProfileModal">
        <img :src="user.image_url" class="user-img" alt="Pokemon Image">
        <div class="card-body">
            <h5 class="card-title user-name">{{ user.first_name }} {{ user.last_name }}</h5>
        </div>
    </div>

</template>

<script>

export default {
    name: "CommunityCard",
    props: {
        user: Object,
    },
    emits:['toggle-user-profile']
}
</script>